# 
# Description: C ECI version 2 sample make file
#
#                                   
# Licensed Materials - Property of IBM
# 
# 5724-I81 5725-B65
# 
# (c) Copyright IBM Corp. 2008, 2010
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# 
# Status: Version 8 Release 0
#                                 

# define platform specific settings
include ../env_c.def

all: ctgecib1 ctgecib3

ctgecib1: ctgecib1.c
		@echo
		@echo "Creating Basic ECI C version 2 Sample 1"
		@rm -f $@
		$(CC) -c $(CFLAGS) ctgecib1.c
		$(LD) -o $@ ctgecib1.o $(LPATH) $(LFLAGC)
		
ctgecib3: ctgecib3.c
		@echo
		@echo "Creating Basic ECI C version 2 Sample 3"
		@rm -f $@
		$(CC) -c $(CFLAGS) ctgecib3.c
		$(LD) -o $@ ctgecib3.o $(LPATH) $(LFLAGC)

clean:
		@echo "Removing executables and object files for ECI C version 2 Samples"
		rm -f ctgecib1.o
		rm -f ctgecib1
		rm -f ctgecib3.o
		rm -f ctgecib3

