@echo off
REM *******************************************************************
REM                                    
REM  Licensed Materials - Property of IBM
REM  
REM  5724-I81 5725-B65
REM  
REM  (c) Copyright IBM Corp. 2010
REM  
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM  
REM  Status: Version 8 Release 0
REM                                  
REM                                                                  
REM  Purpose: set .NET library for samples to use.                    
REM  Called by higher level command files, not designed to be invoked
REM  directly.                                                        
REM  Arguments: set_lib_dotnet calling_program_name framework_version
REM *******************************************************************

if "%2" == "3.5" GOTO NET35
if "%2" == "4.0" GOTO NET40
if "%2" == "" GOTO NOPARM
GOTO INVALIDPARM

:NET35
set CTG_API_LIBRARY=dotnet35\IBM.CTG.Client.dll
GOTO END

:NET40
set CTG_API_LIBRARY=dotnet40\IBM.CTG.Client.dll
GOTO END

:NOPARM
echo No parameter has been specified
set CTG_API_LIBRARY=
GOTO USAGE

:INVALIDPARM
echo An invalid parameter has been specified
set CTG_API_LIBRARY=
GOTO USAGE

:USAGE
echo Usage syntax: %1% ^<3.5^|4.0^>
echo You must specify which .NET Framework version to target
echo 3.5 - Target .NET Framework 3.5
echo 4.0 - Target .NET Framework 4.0
GOTO END

:END
